Skip to main content

Run Deployment

Manually triggers a single Deployment execution. The response returns a Deployment Run object that tracks the execution lifecycle.

Prerequisites

Endpoint and authentication configured. For details, see Overview and authentication.

Endpoint

POST /deployments/{deployment_id}/run

Path parameters

FieldRequiredTypeDescription
deployment_idYesstringDeployment ID

Request example

curl -X POST "$AGENTSTUDIO_URL/deployments/depl_xxx/run" \
  -H "Authorization: Bearer $DASHSCOPE_API_KEY"

Response example

{
  "id": "drun_xxx",
  "type": "deployment_run",
  "deployment_id": "depl_xxx",
  "agent": {
    "id": "agent_xxx",
    "version": 13
  },
  "session_id": null,
  "trigger_source": "manual",
  "status": "running",
  "error": null,
  "started_at": "2026-07-28T02:00:00Z",
  "finished_at": null,
  "request_id": "req_xxx"
}

Response fields

FieldTypeDescription
idstringDeployment Run ID
typestringAlways deployment_run
deployment_idstringAssociated Deployment ID
agentobjectAssociated Agent; contains id and version
session_idstring | nullSession ID; null until the async session creation completes
trigger_sourcestringTrigger source: manual or schedule
statusstringRun status: running, succeeded, or failed
errorobject | nullError info; returned only when the run fails
started_atstringRun start time, ISO 8601
finished_atstring | nullRun end time, ISO 8601; null while running
request_idstringUnique request identifier

Error codes

HTTP statusError codeDescription
400InvalidParameterRequired parameter missing or invalid
401InvalidApiKeyInvalid API key provided
409DEPLOYMENT_TRIGGER_CONFLICTConcurrent trigger conflict
Flow Agent API
Sandbox API
RAG API
Long-term Memory
ParseX API
Security API
Framework Integration